Creates a canary deployment to gradually shift traffic from one workflow version to another.
curl --request POST \
--url https://api.strait.dev/v1/canary-deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_version": 123,
"target_version": 123,
"traffic_pct": 123,
"workflow_id": "<string>"
}
'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"project_id": "<string>",
"source_version": 123,
"status": "<string>",
"target_version": 123,
"traffic_pct": 123,
"updated_at": "2023-11-07T05:31:56Z",
"workflow_id": "<string>",
"$schema": "<string>",
"auto_promote_config": "<unknown>",
"completed_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
A URL to the JSON Schema for this object.
"https://api.strait.dev/schemas/CanaryDeployment.json"
curl --request POST \
--url https://api.strait.dev/v1/canary-deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_version": 123,
"target_version": 123,
"traffic_pct": 123,
"workflow_id": "<string>"
}
'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"project_id": "<string>",
"source_version": 123,
"status": "<string>",
"target_version": 123,
"traffic_pct": 123,
"updated_at": "2023-11-07T05:31:56Z",
"workflow_id": "<string>",
"$schema": "<string>",
"auto_promote_config": "<unknown>",
"completed_at": "2023-11-07T05:31:56Z"
}